<html>

<head>
<meta http-equiv="Content-Language" content="en-au">
<meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Expires" CONTENT="-1">
<title>MP ~~~Web Interface~~~ - ~~~TV Service Status~~~</title>

<link rel="stylesheet" type="text/css" href="custom.css">

<!--[if lt IE 7.]><script defer type="text/javascript" src="pngfix.js"></script>
<![endif]-->

<SCRIPT language="JavaScript">
<!--hide
function open_remote()
{
window.open("showremote", "remote", "height=625, width=241, location=no, resize=no, menubar=no, scrollbars=no, toolbar=no, status=no, titlebar=no");
}

function Suspend()
{
if (window.confirm("~~~Are you sure you want to suspend your MediaPortal TV Server PC?~~~"))
	{
	window.location='power?Action=suspend';
	window.close();
	}
}

function Hibernate()
{
if (window.confirm("~~~Are you sure you want to hibernate your MediaPortal TV Server PC?~~~"))
	{
	window.location='power?Action=hibernate';
	window.close();
	}
}
function Restart()
{
if (window.confirm("~~~Are you sure you want to restart your MediaPortal TV Server PC?~~~"))
	{
	window.location='power?Action=restart';
	window.close();
	}
}
function Shutdown()
{
if (window.confirm("~~~Are you sure you want to shutdown your MediaPortal TV Server PC?~~~"))
	{
	window.location='power?Action=shutdown';
	window.close();
	}
}
function ShowLog()
{
	window.location='showlog';
}
function doTimeShift(CardNo)
{
if (window.confirm("~~~This will stop the current activity on this card and start timeshifting on the selected channel\nDo you want to continue?~~~"))
	{
	var Channel = document.getElementById("Channel" + CardNo);
	var QValue1 = document.getElementById("Q1"); 
	var QValue2 = document.getElementById("Q2");
	QValue1.value = CardNo;
	QValue2.value = Channel.value;
	TimeShift.submit(); 
	}
}

function doStreaming(CardNo, Action)
{
var QValue1 = document.getElementById("S1"); 
var QValue2 = document.getElementById("S2");
QValue1.value = CardNo;
QValue2.value = Action;
Stream.submit(); 
}
//-->
</SCRIPT>


</head>

<body>
<form id=Stream action=cardstream method=post><input type=hidden name=CardID id=S1><input type=hidden name=Stream id=S2></form>
<form id=TimeShift action=cardshift method=post><input type=hidden name=CardID id=Q1><input type=hidden name=ChannelID id=Q2></form>
<div id="maintitle2">~~~TV Service Status~~~</div><div id="maintitle">~~~TV Service Status~~~</div>
<table id="whole" border="0" cellspacing="0" width=100%><tbody><tr><td>
<table id="topbar" background="topbar.png" border="0" cellspacing="0" width="100%">
<tr height="40"><td><div id="mplogo"><img src="mplogo.png"></div>
<div id="webint2">~~~Web Interface~~~ &nbsp;&nbsp;!!!Version!!!</div><div id="webint">~~~Web Interface~~~ &nbsp;&nbsp;!!!Version!!!</div>
</td></tr>
<tr height="27"><td>

<ul id="menubar">
<li id="noleft"><a href="showguide">~~~GUIDE~~~</a></li>
<li id="both"><a href="showrecording">~~~SCHEDULED~~~</a></li>
<li id="both"><a href="showrecorded">~~~RECORDED~~~</a></li>
<li id="both"><a href="getmanualrec">~~~MANUAL REC~~~</a></li>
<li id="both"><a href="getkeyword">~~~SEARCH~~~</a></li>
<li id="both"><a href="cardstatus">~~~TV SERVICE~~~</a></li>
<li id="both"><a href="javascript:open_remote()">~~~REMOTE~~~</a></li>
<li id="both"><a href="showplaylists">~~~PLAYLISTS~~~</a></li>
<li id="noright"><a href="logoff">~~~LOGOUT USER~~~: !!!UserName!!!</a></li>
</ul>
</td></tr></table>

<center>
<br>
<iframe src="tvstatus" width=500 height=70 frameborder=0 scrolling=no><a href="tvstatus">~~~Click here to see TV Service Status~~~</a></iframe>

<br><br>
<b>~~~Remote Shutdown Options~~~</b>
<br><br>

<table border="0" cellpadding="4" cellspacing="1">
<font face="Arial">
<tr><td align=center><input type=button value='~~~Suspend~~~' onclick=Suspend()></td>
<td align=center><input type=button value='~~~Hibernate~~~' onclick=Hibernate()></td>
<td align=center><input type=button value='~~~Restart~~~' onclick=Restart()></td>
<td align=center><input type=button value='~~~Shutdown~~~' onclick=Shutdown()></td></tr>
</table>
<br><br>
<b>~~~Event Logging~~~</b>
<br><br>

<table border="0" cellpadding="4" cellspacing="1">
<font face="Arial">
<tr><td align=center><input type=button value='~~~Show Log~~~' onclick=ShowLog()></td>
</table>
<br><br>
<b>~~~TV Card Status~~~</b>
<br><br>

<table border="0" id="table1" cellpadding="4" cellspacing="1">
<font face="Arial">
<tr><th>~~~Card ID~~~</th><th>~~~Card Name~~~</th><th>~~~User Name~~~</th><th>~~~Current Activity~~~</th><th>VLC Streaming</th><th>~~~Scrambled~~~</th><th>
	&nbsp;</th></tr>
!!!TableText!!!
</font>
</table>

</center>
</body>
<HEAD>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Expires" CONTENT="-1">
</HEAD>

</html>